slepc-3.21.1 2024-04-26
Report Typos and Errors

# STFilterSetInterval

Defines the interval containing the desired eigenvalues.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterSetInterval(ST st,PetscReal inta,PetscReal intb)

Logically Collective

### Input Parameters

| st | - the spectral transformation context
| inta | - left end of the interval
| intb | - right end of the interval

### Options Database Key

| -st_filter_interval <a,b> | - set [a,b] as the interval of interest

### Notes

The filter will be configured to emphasize eigenvalues contained in the given interval, and damp out eigenvalues outside it. If the interval is open, then the filter is low- or high-pass, otherwise it is mid-pass.

Common usage is to set the interval in EPS with EPSSetInterval().

The interval must be contained within the numerical range of the matrix, see STFilterSetRange().

### See Also

STFilterGetInterval(), STFilterSetRange(), EPSSetInterval()

### Level

intermediate

### Location

src/sys/classes/st/impls/filter/filter.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages